# AcaMate API 문서

## 개요

## 프로젝트 구조
### 각 폴더 간 관계
#### 역할
- Controller: API 요청을 처리하고 응답을 반환하는 역할
- Service: 비즈니스 로직을 처리하는 역할
- Repository: 데이터베이스와의 상호작용을 처리하는 역할
- Model: 데이터 구조를 정의하는 역할
#### 폴더 관계
- Controller 는 Service 를 참조하고, Service 는 Repository 를 참조한다.
- Controller 는 Service 와 1:N 관계를 가진다. 
- Service 는 Repository 와 1:N 관계를 가진다.
- Controller에서 Repository를 직접 참조하지 않는다.
- Repository 와 Service 는 모두 Interface 를 통해 의존성을 주입받는다.
- Common 폴더는 모든 계층에서 공통적으로 사용되는 유틸리티나 헬퍼 클래스를 포함한다.


### 오류 코드
- 0xx : 성공
- 1xx : 입력 오류
- 2xx : 출력 오류
- 3xx : 통신 오류
- 999 : 알 수 없는 오류