using Back.Program.Common.Data;
using Back.Program.Services.V1.Interfaces;
using Microsoft.AspNetCore.Mvc;

namespace Back.Program.Controllers.V1;

/// <summary>
/// USER는 사용자가 자신의 데이터를 보거나 만들거나 하는 등 직접 사용하는 경우에 사용 
/// </summary>
[ApiController]
[Route("/api/v1/in/user")]
[ApiExplorerSettings(GroupName = "")]
public class SessionController : ControllerBase
{
    
    private readonly ILogger<SessionController> _logger;
    private readonly IRepositoryService _repositoryService;
    private readonly SessionManager _sessionManager;
    private readonly ISessionService _sessionService;

    private SessionController(ILogger<SessionController> logger,
        IRepositoryService repositoryService, SessionManager sessionManager, ISessionService sessionService)
    {
        _logger = logger;
        _repositoryService = repositoryService;
        _sessionManager = sessionManager;
        _sessionService = sessionService;
    }
    [HttpGet("session/user")]
    [CustomOperation("세션 정보 확인", "세션 정보 확인", "사용자")]
    public async Task<IActionResult> GetSessionData()
    {
        string summary = _repositoryService.ReadSummary(typeof(UserController), "GetSessionData");
        var result = await _sessionService.GetSessionData(summary);
        return Ok(result);
    }
}